# \Thelia\Core\Security\UserProviderUserProviderInterface

## Summary

Methods
Constants
getUser()
No constants found
No protected methods found
N/A
No private methods found
N/A

File
  Core/Security/UserProvider/UserProviderInterface.php
Package
  \Default

## Tags

None found

## Methods

### getUser()

    getUser(mixed $key) : \Thelia\Core\Security\UserProvider\a

Returns a UserInterface instance

#### Parameters

mixed | $key | the unique user key (username, email address, etc.)

#### Returns

\Thelia\Core\Security\UserProvider\a —

UserInterface instance, or null if none was found.

#

## Tags

None found

### UserProviderInterface.php